# SceLibraryEntryTable Struct Reference
[Interface to the LoadCoreForKernel library.]

`#include <sdk/kernel/psploadcore.h>`

## Detailed Description

Defines a library and its exported functions and variables.

Use the len member to determine the real size of the table (size = len * 4).

## Data Fields

const char * | libname
| The library's name.
unsigned char | version [2]
| Library version.
unsigned short | attribute
| Library attributes.
unsigned char | len
| Length of this entry table in 32-bit WORDs.
unsigned char | vstubcount
| The number of variables exported by the library.
unsigned short | stubcount
| The number of functions exported by the library.
void * | entrytable
| Pointer to the entry table; an array of NIDs followed by pointers to functions and variables.

## Field Documentation

unsigned short SceLibraryEntryTable::attribute

| Library attributes.

void* SceLibraryEntryTable::entrytable

| Pointer to the entry table; an array of NIDs followed by pointers to functions and variables.

unsigned char SceLibraryEntryTable::len

| Length of this entry table in 32-bit WORDs.

const char* SceLibraryEntryTable::libname

| The library's name.

unsigned short SceLibraryEntryTable::stubcount

| The number of functions exported by the library.

unsigned char SceLibraryEntryTable::version[2]

| Library version.

unsigned char SceLibraryEntryTable::vstubcount

| The number of variables exported by the library.

The documentation for this struct was generated from the following file:

- sdk/kernel/psploadcore.h